Bug 832105 - Preallocated diskes can not be added correctly, when total diskes size is largerl than the free space
Preallocated diskes can not be added correctly, when total diskes size is la...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.1 RC
x86_64 Linux
unspecified Severity low
: ---
: 3.3.4
Assigned To: Einav Cohen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 10:13 EDT by Shaohe Feng
Modified: 2016-02-10 11:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 17:58:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaohe Feng 2012-06-14 10:13:29 EDT
Description of problem:
add more than one Preallocated diskes and total diskes size is largerl than the free space of storage. disks can not be added correctly.

Version-Release number of selected component (if applicable):
3.1

How reproducible:


Steps to Reproduce:
1.let the storage to has 20GB free space 
2.added 3 disks, and each is 10GB, total 30GB, the format type is "Preallocated"
3.added 11 disks, one is 1GB, others are 10GB,  the format type is "Preallocated".
  
Actual results:
(1)
added 3 disks, and each is 10GB, total 30GB, the format type is "Preallocated".
there are 20GB free space storage.
it takes a long time.  but at last, none of disks is add successfully 

(2)
added 11 disks, one is 1GB, others are 10GB,  the format type is "Preallocated".
At last two is added successfully, one is 1GB disk,the other is 10GB disk.  but neither is the first one disk first addeded.

Expected results:
(1) the the total disks size is larger than the free space of storage, the disk should not allowed to added. 
(2) the first disks should be added succussfully, the last one exceed the free space of storage should be added failed.

Additional info:
Data Centers: default
clusters: default
Hosts: two
storage: two storages, both are nfs. one is for data(master), another is for ISO. there are 20GB free space.
the web browser display refresh rate: 5 second.
Comment 1 Itamar Heim 2013-03-11 17:58:23 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.